AbstractMap
Date: 2016-06-24

java.util

## Class AbstractMap

- java.lang.Object
- - java.util.AbstractMap

- All Implemented Interfaces:
    Map
  Direct Known Subclasses:
    HashMap, IdentityHashMap, TreeMap, WeakHashMap

      public abstract class AbstractMap
      extends Object
      implements Map

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(Object var0)`
    `boolean` | `containsValue(Object var0)`
    `Object` | `get(Object var0)`
    `boolean` | `isEmpty()`
    `Set` | `keySet()`
    `Object` | `put(Object var0, Object var1)`
    `void` | `putAll(Map var0)`
    `Object` | `remove(Object var0)`
    `int` | `size()`
    `Collection` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `entrySet, equals, hashCode`

- - ### Constructor Detail

    - #### AbstractMap

          protected AbstractMap()

  - ### Method Detail

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map`

    - #### containsKey

          public boolean containsKey(Object var0)

      Specified by:
        `containsKey` in interface `Map`

    - #### containsValue

          public boolean containsValue(Object var0)

      Specified by:
        `containsValue` in interface `Map`

    - #### get

          public Object get(Object var0)

      Specified by:
        `get` in interface `Map`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map`

    - #### keySet

          public Set keySet()

      Specified by:
        `keySet` in interface `Map`

    - #### put

          public Object put(Object var0,
                   Object var1)

      Specified by:
        `put` in interface `Map`

    - #### putAll

          public void putAll(Map var0)

      Specified by:
        `putAll` in interface `Map`

    - #### remove

          public Object remove(Object var0)

      Specified by:
        `remove` in interface `Map`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map`

    - #### values

          public Collection values()

      Specified by:
        `values` in interface `Map`